Subject: [Detnet] Lars Eggert's No Objection on draft-ietf-detnet-bounded-latency-09: (with COMMENT)

From: Lars Eggert via Datatracker <[email-masked]>
Date: Tue, 05 Apr 2022 07:10:48 -0700

Lars Eggert has entered the following ballot position for
draft-ietf-detnet-bounded-latency-09: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/about/groups/iesg/statements/handling-ballot-positions/ 
for more information about how to handle DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-detnet-bounded-latency/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

Section 11.2. , paragraph 7, comment:
>    [IEEE8021Qcr]
>               IEEE 802.1, "IEEE P802.1Qcr: IEEE Draft Standard for Local
>               and metropolitan area networks - Bridges and Bridged
>               Networks - Amendment: Asynchronous Traffic Shaping", 2017,
>               <http://www.ieee802.org/1/files/private/cr-drafts/>.

Please link to a public version of this document, if possible.

The document has six authors, which exceeds the recommended author limit. I
assume the sponsoring AD has agreed that this is appropriate?

Thanks to Gyan S. Mishra for their General Area Review Team (Gen-ART) review
(https://mailarchive.ietf.org/arch/msg/gen-art/yMbUVrUjPZYqHTfNd8XwqMwg0FI).

-------------------------------------------------------------------------------
NIT
-------------------------------------------------------------------------------
All comments below are about very minor potential issues that you may choose to
address in some way - or ignore - as you see fit. Some were flagged by
automated tools (via https://github.com/larseggert/ietf-reviewtool), so there
will likely be some false positives. There is no need to let me know what you
did with these suggestions.

Document references draft-ietf-detnet-controller-plane-framework-00, but -01 is
the latest available revision.

These URLs in the document did not return content:
 * http://www.ieee802.org/1/files/private/cr-drafts/

These URLs in the document can probably be converted to HTTPS:
 * http://ieeexplore.ieee.org/document/8403927
 * http://www.ieee802.org/1/

Section 6.4. , paragraph 6, nit:
> cussed in Section 4.2.2; an interleaved regulators does not increase the dela
>                          ^^^^^^^^^^^^^^^^^^^^^^^^^
The plural noun "regulators" cannot be used with the article "an". Did you mean
"an interleaved regulator" or "interleaved regulators"?

Section 6.4.2. , paragraph 9, nit:
> T, CQF with more buffers can be used and a cycle identification label can be
>                                     ^^^^
Use a comma before "and" if it connects two independent clauses (unless they
are closely connected and short).

Section 6.6. , paragraph 3, nit:
> to entrance of the first node in sub-network 2, and d3_p the delay bound of p
>                                  ^^^^^^^^^^^
This word is normally spelled as one. (Also elsewhere.)

---

From: John Scudder <[email-masked]>
Date: Tue, 5 Apr 2022 14:36:14 +0000

Hi Lars,

On Apr 5, 2022, at 10:10 AM, Lars Eggert via Datatracker <[email-masked]<mailto:[email-masked]>> wrote:

I’m embarrassed to say I missed this; thank you for catching it. To be clear: no, the sponsoring AD is not agreed that this is appropriate; I will take it up with the authors and document shepherd.

Thanks,

—John

---

From: Mohammadpour Ehsan <[email-masked]>
Date: Wed, 6 Apr 2022 22:01:12 +0000

Dear Lars,

Thank you very much for your comments. Please find below my responses:

Even though the access to this file looks limited, the username and password for this document can be found online in an IETF URL: https://www.ietf.org/proceedings/52/slides/bridge-0/tsld003.htm.

We agreed to follow the recommended author limit, and list the remaining authors as contributors. It will be reflected in the new submission.

Corrected!

As mentioned above, the username and password to access this document can be found online in an IETF URL: https://www.ietf.org/proceedings/52/slides/bridge-0/tsld003.htm.

Corrected!

Corrected to “an interleaved regulator”!

A comma is added!

As “sub-network” is used in RFC8655, we decided to use it instead of “subnetwork”.

Best,
Ehsan

--
Ehsan Mohammadpour
PhD candidate at Swiss Federal Institute of Technology (EPFL)
EPFL EDIC PhD student representative
IC IINFCOM, LCA2, INF 011, Station 14, 1015 Lausanne, Switzerland
https://people.epfl.ch/ehsan.mohammadpour

On 5 Apr 2022, at 18:40, Lars Eggert via Datatracker <[email-masked]<mailto:[email-masked]>> wrote:

---

From: Lars Eggert <[email-masked]>
Date: Thu, 7 Apr 2022 15:07:51 +0300

Hi,

> Even though the access to this file looks limited, the username and password for this document can be found online in an IETF URL: https://www.ietf.org/proceedings/52/slides/bridge-0/tsld003.htm.

just because the IETF has been granted access to IEEE draft specs doesn't mean everyone has access. Is there no public URL?

Thanks,
Lars

---

From: Mohammadpour Ehsan <[email-masked]>
Date: Thu, 7 Apr 2022 13:48:20 +0000

Hello,

I have found a public URL corresponding to this document: https://1.ieee802.org/tsn/802-1qcr/. I modified the draft accordingly.

Thanks,
Ehsan

On 7 Apr 2022, at 16:37, Lars Eggert <[email-masked]<mailto:[email-masked]>> wrote:

Hi,

On 2022-4-7, at 1:01, Mohammadpour Ehsan <[email-masked]<mailto:[email-masked]>> wrote:

Thanks,
Lars